Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.sockets
Class TimeoutSocket

    java.lang.Object
      java.net.Socket
          org.jboss.net.sockets.TimeoutSocket

public class TimeoutSocket
extends Socket

A Socket that overrides the getInputStream to return a InterruptableInputStream

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`TimeoutSocket(Socket s)`

Method Summary
`void` | `close()`
`SocketChannel` | `getChannel()`
`InetAddress` | `getInetAddress()`
`InputStream` | `getInputStream()`
`boolean` | `getKeepAlive()`
`InetAddress` | `getLocalAddress()`
`int` | `getLocalPort()`
`SocketAddress` | `getLocalSocketAddress()`
`boolean` | `getOOBInline()`
`OutputStream` | `getOutputStream()`
`int` | `getPort()`
`int` | `getReceiveBufferSize()`
`SocketAddress` | `getRemoteSocketAddress()`
`boolean` | `getReuseAddress()`
`int` | `getSendBufferSize()`
`int` | `getSoLinger()`
`int` | `getSoTimeout()`
`boolean` | `getTcpNoDelay()`
`int` | `getTrafficClass()`
`boolean` | `isBound()`
`boolean` | `isClosed()`
`boolean` | `isConnected()`
`boolean` | `isInputShutdown()`
`boolean` | `isOutputShutdown()`
`void` | `sendUrgentData(int data)`
`void` | `setKeepAlive(boolean on)`
`void` | `setOOBInline(boolean on)`
`void` | `setReceiveBufferSize(int size)`
`void` | `setReuseAddress(boolean on)`
`void` | `setSendBufferSize(int size)`
`void` | `setSoLinger(boolean on, int linger)`
`void` | `setSoTimeout(int timeout)`
`void` | `setTcpNoDelay(boolean on)`
`void` | `setTrafficClass(int tc)`
`void` | `shutdownInput()`
`void` | `shutdownOutput()`
`String` | `toString()`

Methods inherited from class java.net.Socket
`bind, connect, connect, setSocketImplFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimeoutSocket

    public TimeoutSocket(Socket s)

Method Detail

### getInetAddress

    public InetAddress getInetAddress()

### getLocalAddress

    public InetAddress getLocalAddress()

### getPort

    public int getPort()

### getLocalPort

    public int getLocalPort()

### getRemoteSocketAddress

    public SocketAddress getRemoteSocketAddress()

### getLocalSocketAddress

    public SocketAddress getLocalSocketAddress()

### getChannel

    public SocketChannel getChannel()

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Throws:
    `IOException`

### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException

  Throws:
    `IOException`

### setTcpNoDelay

    public void setTcpNoDelay(boolean on)
                       throws SocketException

  Throws:
    `SocketException`

### getTcpNoDelay

    public boolean getTcpNoDelay()
                          throws SocketException

  Throws:
    `SocketException`

### setSoLinger

    public void setSoLinger(boolean on,
                            int linger)
                     throws SocketException

  Throws:
    `SocketException`

### getSoLinger

    public int getSoLinger()
                    throws SocketException

  Throws:
    `SocketException`

### sendUrgentData

    public void sendUrgentData(int data)
                        throws IOException

  Throws:
    `IOException`

### setOOBInline

    public void setOOBInline(boolean on)
                      throws SocketException

  Throws:
    `SocketException`

### getOOBInline

    public boolean getOOBInline()
                         throws SocketException

  Throws:
    `SocketException`

### setSoTimeout

    public void setSoTimeout(int timeout)
                      throws SocketException

  Throws:
    `SocketException`

### getSoTimeout

    public int getSoTimeout()
                     throws SocketException

  Throws:
    `SocketException`

### setSendBufferSize

    public void setSendBufferSize(int size)
                           throws SocketException

  Throws:
    `SocketException`

### getSendBufferSize

    public int getSendBufferSize()
                          throws SocketException

  Throws:
    `SocketException`

### setReceiveBufferSize

    public void setReceiveBufferSize(int size)
                              throws SocketException

  Throws:
    `SocketException`

### getReceiveBufferSize

    public int getReceiveBufferSize()
                             throws SocketException

  Throws:
    `SocketException`

### setKeepAlive

    public void setKeepAlive(boolean on)
                      throws SocketException

  Throws:
    `SocketException`

### getKeepAlive

    public boolean getKeepAlive()
                         throws SocketException

  Throws:
    `SocketException`

### setTrafficClass

    public void setTrafficClass(int tc)
                         throws SocketException

  Throws:
    `SocketException`

### getTrafficClass

    public int getTrafficClass()
                        throws SocketException

  Throws:
    `SocketException`

### setReuseAddress

    public void setReuseAddress(boolean on)
                         throws SocketException

  Throws:
    `SocketException`

### getReuseAddress

    public boolean getReuseAddress()
                            throws SocketException

  Throws:
    `SocketException`

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

### shutdownInput

    public void shutdownInput()
                       throws IOException

  Throws:
    `IOException`

### shutdownOutput

    public void shutdownOutput()
                        throws IOException

  Throws:
    `IOException`

### toString

    public String toString()

### isConnected

    public boolean isConnected()

### isBound

    public boolean isBound()

### isClosed

    public boolean isClosed()

### isInputShutdown

    public boolean isInputShutdown()

### isOutputShutdown

    public boolean isOutputShutdown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.